A collection of endpoints which can be used to search the catalog for relevant activities.
Musement API (3.5.0)
For merchant or affiliate partners wishing to use the Musement API.
See the Authentication section for details on how to authenticate with the API.
GET /activities/{activityUuid}/dates/{date}- Added
availability,max_buyandmin_buyproperties to timeslots. For more info, check out our guide
- Added
Request
When a customer cart is ready, it's time to create an order and proceed to payment. We strongly recommend creating orders only when payment is guaranteed in order to reduce unnecessary API calls and avoid misleading results in sales reports.
Partners are able to include more details to help map the order to their own orders system.
The value of this parameter might affect the language of the content in the response, provided a translation in the requested language is available.
A partner's application value, used for analyzing API usage and to identify areas of improvement.
A valid currency code from the /currencies endpoint. Default value may vary depending on the X-Musement-Market header value.
The API version to use for the request.
When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0.
A partner's channel ID for the order. Requires the affiliate property in the request body.
Specify which email notifications are sent:
ALL: all relevant notification emailsNONE: no emails are sentTO-CUSTOMER: notification emails are sent to the customer only
Additional info about the order that partners may want to save. This value only accepts a serialized JSON object of key-value pairs.
A phone number for SMS notifications related to the order. Values must follow the E.164 international standard.
- Mock serverhttps://partner-api.musement.com/_mock/reference/openapi/orders
- Sandbox serverhttps://sandbox.musement.com/api/v3/orders
- Production serverhttps://api.musement.com/api/v3/orders
- curl
- C#
- Node.js
curl -i -X POST \
https://partner-api.musement.com/_mock/reference/openapi/orders \
-H 'Accept-Language: en-US' \
-H 'Content-Type: application/json' \
-H 'X-Musement-Application: string' \
-H 'X-Musement-Currency: USD' \
-H 'X-Musement-Version: 3.4.0' \
-d '{
"cart_uuid": "ff111070-984a-4cff-87c7-2a32cd76de36",
"email_notification": "NONE",
"extra_data": "{\"clientReferenceId\":\"12345678\",\"firstName\":\"John\",\"lastName\":\"Smith\",\"reservationId\":\"3E5B7445-00E6-4ED6-9321-19E30D73A128\",\"utm_campaign\":\"example-it\",\"utm_content\":\"it-native\",\"utm_medium\":\"example-App it\",\"utm_source\":\"channel-abc\"}"
}'Order
The customer for the order.
The customer's email address.
Extra customer data, based on the customer's cart items.
Whether the customer wants to receive newsletters from third parties or not.
Whether the customer wants to receive newsletters from Musement or not.
Whether the customer wants to receive newsletters for related activities or not.
The total discount for the order, the sum of every order item's total_discount. The currency property matches the currency used for payment. Unpaid orders default to EUR.
The currency of the price, using a currency code from the /currencies endpoint.
The price and currency, formatted based on the value of the Accept-Language header value.
The currency symbol and price, separated by a space.
Additional info about the order, provided by the partner. This property contains a serialized JSON object of key-value pairs.
The items for the order.
The amount a merchant or agency paid for the order item, in the currency used for payment.
Additional information about the cancellation which partners wish to communicate to Musement Customer Care.
Reason for a booking cancellation.
Submitted extra customer data for the order item.
Submitted participant info for the order item.
The selected product for the order item.
The status of the order item:
CANCELLATION_ERROR: an error occurred while processing a cancellation. This status is temporary and will change to eitherOKorREFUNDEDafter examination by Musement Customer CareKO: there was an issue finalizing the order itemOK: the order item is validPENDING: the order item's payment and confirmation are in progressREFUND_STARTED: a refund request for the item is being processed. This status is temporary and will change toREFUNDEDonce the request has been resolvedREFUNDED: the order item has been cancelled and either partially or fully refunded
The retail_price of a single item's product, regardless of the quantity, in the currency used to create the order.
The retail_price_in_order_currency times the item quantity, in the currency used to create the order.
The base price with a service fee of a single item's product, but no discount, in the currency suppliers use.
The status of the order:
KO: there was an issue finalizing the order or it has been cancelled without refundOK: the order is validPENDING: the order's payment and item confirmation are in progressREFUND_STARTED: a refund request for one or more order items is being processed. This status is temporary and will change toREFUNDEDonce the request has been resolvedREFUNDED: the order has been cancelled and either partially or fully refunded
The total price customers are expected to pay, the sum of every order item's retail_price. The currency property matches the currency used for payment. Unpaid orders default to EUR.
The currency of the price, using a currency code from the /currencies endpoint.
The price and currency, formatted based on the value of the Accept-Language header value.
The currency symbol and price, separated by a space.
The URL customers can use to leave a review on Trustpilot about their experience making a reservation with Musement.
The currency of the price, using a currency code from the /currencies endpoint.
The price and currency, formatted based on the value of the Accept-Language header value.
The currency symbol and price, separated by a space.
The currency of the price, using a currency code from the /currencies endpoint.
The price and currency, formatted based on the value of the Accept-Language header value.
The currency symbol and price, separated by a space.
The currency of the price, using a currency code from the /currencies endpoint.
The price and currency, formatted based on the value of the Accept-Language header value.
The currency symbol and price, separated by a space.
{ "customer": { "email": "api-distribution@tui.com", "events_related_newsletter": "NO", "extra_customer_data": { … }, "firstname": "John", "lastname": "Smith", "musement_newsletter": "NO", "thirdparty_newsletter": "NO" }, "date": "2019-08-24T14:15:22Z", "discount_amount": { "currency": "USD", "formatted_value": "$ 10.00", "formatted_iso_value": "$10.00", "value": 10 }, "extra_data": "{\"clientReferenceId\":\"12345678\",\"firstName\":\"John\",\"lastName\":\"Smith\",\"reservationId\":\"3E5B7445-00E6-4ED6-9321-19E30D73A128\",\"utm_campaign\":\"example-it\",\"utm_content\":\"it-native\",\"utm_medium\":\"example-App it\",\"utm_source\":\"channel-abc\"}", "identifier": "string", "items": [ { … } ], "market": "string", "status": "KO", "total_price": { "currency": "USD", "formatted_value": "$ 10.00", "formatted_iso_value": "$10.00", "value": 10 }, "trustpilot_url": "http://example.com", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "total_retail_price_in_order_currency": { "currency": "USD", "formatted_value": "$ 10.00", "formatted_iso_value": "$10.00", "value": 10 }, "total_supplier_original_retail_price_in_supplier_currency": { "currency": "USD", "formatted_value": "$ 10.00", "formatted_iso_value": "$10.00", "value": 10 }, "total_supplier_price_in_supplier_currency": { "currency": "USD", "formatted_value": "$ 10.00", "formatted_iso_value": "$10.00", "value": 10 }, "affiliate": { "uuid": "string", "email": "string", "first_name": "string", "last_name": "string", "code": "string", "name": "string", "logo_url": "string", "secondary_logo_url": "string", "header": "string", "customer_care_phone_number": "string", "customer_care_email": "string", "whitelabel": true, "show_cobranded_header": true, "show_cobranded_voucher": true, "show_cobranded_item_confirmation_email": true, "setup_cookie_after_first_visit": true, "translations": [ … ] }, "affiliate_channel": "string", "promo_codes": [ { … } ], "source": "string" }
The value of this parameter might affect the language of the content in the response, provided a translation in the requested language is available.
A partner's application value, used for analyzing API usage and to identify areas of improvement.
A valid currency code from the /currencies endpoint. Default value may vary depending on the X-Musement-Market header value.
The API version to use for the request.
When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0.
- Mock serverhttps://partner-api.musement.com/_mock/reference/openapi/orders/{orderUuid}
- Sandbox serverhttps://sandbox.musement.com/api/v3/orders/{orderUuid}
- Production serverhttps://api.musement.com/api/v3/orders/{orderUuid}
- curl
- C#
- Node.js
curl -i -X GET \
'https://partner-api.musement.com/_mock/reference/openapi/orders/{orderUuid}' \
-H 'Accept-Language: en-US' \
-H 'X-Musement-Application: string' \
-H 'X-Musement-Currency: USD' \
-H 'X-Musement-Version: 3.4.0'Order
The customer for the order.
The customer's email address.
Extra customer data, based on the customer's cart items.
Whether the customer wants to receive newsletters from third parties or not.
Whether the customer wants to receive newsletters from Musement or not.
Whether the customer wants to receive newsletters for related activities or not.
The total discount for the order, the sum of every order item's total_discount. The currency property matches the currency used for payment. Unpaid orders default to EUR.
The currency of the price, using a currency code from the /currencies endpoint.
The price and currency, formatted based on the value of the Accept-Language header value.
The currency symbol and price, separated by a space.
Additional info about the order, provided by the partner. This property contains a serialized JSON object of key-value pairs.
The items for the order.
The amount a merchant or agency paid for the order item, in the currency used for payment.
Additional information about the cancellation which partners wish to communicate to Musement Customer Care.
Reason for a booking cancellation.
Submitted extra customer data for the order item.
Submitted participant info for the order item.
The selected product for the order item.
The status of the order item:
CANCELLATION_ERROR: an error occurred while processing a cancellation. This status is temporary and will change to eitherOKorREFUNDEDafter examination by Musement Customer CareKO: there was an issue finalizing the order itemOK: the order item is validPENDING: the order item's payment and confirmation are in progressREFUND_STARTED: a refund request for the item is being processed. This status is temporary and will change toREFUNDEDonce the request has been resolvedREFUNDED: the order item has been cancelled and either partially or fully refunded
The retail_price of a single item's product, regardless of the quantity, in the currency used to create the order.
The retail_price_in_order_currency times the item quantity, in the currency used to create the order.
The base price with a service fee of a single item's product, but no discount, in the currency suppliers use.
The status of the order:
KO: there was an issue finalizing the order or it has been cancelled without refundOK: the order is validPENDING: the order's payment and item confirmation are in progressREFUND_STARTED: a refund request for one or more order items is being processed. This status is temporary and will change toREFUNDEDonce the request has been resolvedREFUNDED: the order has been cancelled and either partially or fully refunded
The total price customers are expected to pay, the sum of every order item's retail_price. The currency property matches the currency used for payment. Unpaid orders default to EUR.
The currency of the price, using a currency code from the /currencies endpoint.
The price and currency, formatted based on the value of the Accept-Language header value.
The currency symbol and price, separated by a space.
The URL customers can use to leave a review on Trustpilot about their experience making a reservation with Musement.
The currency of the price, using a currency code from the /currencies endpoint.
The price and currency, formatted based on the value of the Accept-Language header value.
The currency symbol and price, separated by a space.
The currency of the price, using a currency code from the /currencies endpoint.
The price and currency, formatted based on the value of the Accept-Language header value.
The currency symbol and price, separated by a space.
The currency of the price, using a currency code from the /currencies endpoint.
The price and currency, formatted based on the value of the Accept-Language header value.
The currency symbol and price, separated by a space.
{ "customer": { "email": "api-distribution@tui.com", "events_related_newsletter": "NO", "extra_customer_data": { … }, "firstname": "John", "lastname": "Smith", "musement_newsletter": "NO", "thirdparty_newsletter": "NO" }, "date": "2019-08-24T14:15:22Z", "discount_amount": { "currency": "USD", "formatted_value": "$ 10.00", "formatted_iso_value": "$10.00", "value": 10 }, "extra_data": "{\"clientReferenceId\":\"12345678\",\"firstName\":\"John\",\"lastName\":\"Smith\",\"reservationId\":\"3E5B7445-00E6-4ED6-9321-19E30D73A128\",\"utm_campaign\":\"example-it\",\"utm_content\":\"it-native\",\"utm_medium\":\"example-App it\",\"utm_source\":\"channel-abc\"}", "identifier": "string", "items": [ { … } ], "market": "string", "status": "KO", "total_price": { "currency": "USD", "formatted_value": "$ 10.00", "formatted_iso_value": "$10.00", "value": 10 }, "trustpilot_url": "http://example.com", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "total_retail_price_in_order_currency": { "currency": "USD", "formatted_value": "$ 10.00", "formatted_iso_value": "$10.00", "value": 10 }, "total_supplier_original_retail_price_in_supplier_currency": { "currency": "USD", "formatted_value": "$ 10.00", "formatted_iso_value": "$10.00", "value": 10 }, "total_supplier_price_in_supplier_currency": { "currency": "USD", "formatted_value": "$ 10.00", "formatted_iso_value": "$10.00", "value": 10 }, "affiliate": { "uuid": "string", "email": "string", "first_name": "string", "last_name": "string", "code": "string", "name": "string", "logo_url": "string", "secondary_logo_url": "string", "header": "string", "customer_care_phone_number": "string", "customer_care_email": "string", "whitelabel": true, "show_cobranded_header": true, "show_cobranded_voucher": true, "show_cobranded_item_confirmation_email": true, "setup_cookie_after_first_visit": true, "translations": [ … ] }, "affiliate_channel": "string", "promo_codes": [ { … } ], "source": "string" }
The value of this parameter might affect the language of the content in the response, provided a translation in the requested language is available.
A partner's application value, used for analyzing API usage and to identify areas of improvement.
A valid currency code from the /currencies endpoint. Default value may vary depending on the X-Musement-Market header value.
The API version to use for the request.
When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0.
Order information
Additional info about the order that partners may want to save. This value only accepts a serialized JSON object of key-value pairs.
- Mock serverhttps://partner-api.musement.com/_mock/reference/openapi/orders/{orderUuid}
- Sandbox serverhttps://sandbox.musement.com/api/v3/orders/{orderUuid}
- Production serverhttps://api.musement.com/api/v3/orders/{orderUuid}
- curl
- C#
- Node.js
curl -i -X PATCH \
'https://partner-api.musement.com/_mock/reference/openapi/orders/{orderUuid}' \
-H 'Accept-Language: en-US' \
-H 'Content-Type: application/json' \
-H 'X-Musement-Application: string' \
-H 'X-Musement-Currency: USD' \
-H 'X-Musement-Version: 3.4.0' \
-d '{
"extra_data": "{\"clientReferenceId\":\"12345678\",\"firstName\":\"John\",\"lastName\":\"Smith\",\"reservationId\":\"3E5B7445-00E6-4ED6-9321-19E30D73A128\",\"utm_campaign\":\"example-it\",\"utm_content\":\"it-native\",\"utm_medium\":\"example-App it\",\"utm_source\":\"channel-abc\"}"
}'Order
The customer for the order.
The customer's email address.
Extra customer data, based on the customer's cart items.
Whether the customer wants to receive newsletters from third parties or not.
Whether the customer wants to receive newsletters from Musement or not.
Whether the customer wants to receive newsletters for related activities or not.
The total discount for the order, the sum of every order item's total_discount. The currency property matches the currency used for payment. Unpaid orders default to EUR.
The currency of the price, using a currency code from the /currencies endpoint.
The price and currency, formatted based on the value of the Accept-Language header value.
The currency symbol and price, separated by a space.
Additional info about the order, provided by the partner. This property contains a serialized JSON object of key-value pairs.
The items for the order.
The amount a merchant or agency paid for the order item, in the currency used for payment.
Additional information about the cancellation which partners wish to communicate to Musement Customer Care.
Reason for a booking cancellation.
Submitted extra customer data for the order item.
Submitted participant info for the order item.
The selected product for the order item.
The status of the order item:
CANCELLATION_ERROR: an error occurred while processing a cancellation. This status is temporary and will change to eitherOKorREFUNDEDafter examination by Musement Customer CareKO: there was an issue finalizing the order itemOK: the order item is validPENDING: the order item's payment and confirmation are in progressREFUND_STARTED: a refund request for the item is being processed. This status is temporary and will change toREFUNDEDonce the request has been resolvedREFUNDED: the order item has been cancelled and either partially or fully refunded
The retail_price of a single item's product, regardless of the quantity, in the currency used to create the order.
The retail_price_in_order_currency times the item quantity, in the currency used to create the order.
The base price with a service fee of a single item's product, but no discount, in the currency suppliers use.
The status of the order:
KO: there was an issue finalizing the order or it has been cancelled without refundOK: the order is validPENDING: the order's payment and item confirmation are in progressREFUND_STARTED: a refund request for one or more order items is being processed. This status is temporary and will change toREFUNDEDonce the request has been resolvedREFUNDED: the order has been cancelled and either partially or fully refunded
The total price customers are expected to pay, the sum of every order item's retail_price. The currency property matches the currency used for payment. Unpaid orders default to EUR.
The currency of the price, using a currency code from the /currencies endpoint.
The price and currency, formatted based on the value of the Accept-Language header value.
The currency symbol and price, separated by a space.
The URL customers can use to leave a review on Trustpilot about their experience making a reservation with Musement.
The currency of the price, using a currency code from the /currencies endpoint.
The price and currency, formatted based on the value of the Accept-Language header value.
The currency symbol and price, separated by a space.
The currency of the price, using a currency code from the /currencies endpoint.
The price and currency, formatted based on the value of the Accept-Language header value.
The currency symbol and price, separated by a space.
The currency of the price, using a currency code from the /currencies endpoint.
The price and currency, formatted based on the value of the Accept-Language header value.
The currency symbol and price, separated by a space.
{ "customer": { "email": "api-distribution@tui.com", "events_related_newsletter": "NO", "extra_customer_data": { … }, "firstname": "John", "lastname": "Smith", "musement_newsletter": "NO", "thirdparty_newsletter": "NO" }, "date": "2019-08-24T14:15:22Z", "discount_amount": { "currency": "USD", "formatted_value": "$ 10.00", "formatted_iso_value": "$10.00", "value": 10 }, "extra_data": "{\"clientReferenceId\":\"12345678\",\"firstName\":\"John\",\"lastName\":\"Smith\",\"reservationId\":\"3E5B7445-00E6-4ED6-9321-19E30D73A128\",\"utm_campaign\":\"example-it\",\"utm_content\":\"it-native\",\"utm_medium\":\"example-App it\",\"utm_source\":\"channel-abc\"}", "identifier": "string", "items": [ { … } ], "market": "string", "status": "KO", "total_price": { "currency": "USD", "formatted_value": "$ 10.00", "formatted_iso_value": "$10.00", "value": 10 }, "trustpilot_url": "http://example.com", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "total_retail_price_in_order_currency": { "currency": "USD", "formatted_value": "$ 10.00", "formatted_iso_value": "$10.00", "value": 10 }, "total_supplier_original_retail_price_in_supplier_currency": { "currency": "USD", "formatted_value": "$ 10.00", "formatted_iso_value": "$10.00", "value": 10 }, "total_supplier_price_in_supplier_currency": { "currency": "USD", "formatted_value": "$ 10.00", "formatted_iso_value": "$10.00", "value": 10 }, "affiliate": { "uuid": "string", "email": "string", "first_name": "string", "last_name": "string", "code": "string", "name": "string", "logo_url": "string", "secondary_logo_url": "string", "header": "string", "customer_care_phone_number": "string", "customer_care_email": "string", "whitelabel": true, "show_cobranded_header": true, "show_cobranded_voucher": true, "show_cobranded_item_confirmation_email": true, "setup_cookie_after_first_visit": true, "translations": [ … ] }, "affiliate_channel": "string", "promo_codes": [ { … } ], "source": "string" }